package tech.nevets.rockpaperscissors;

import java.io.IOException;
import java.util.Random;
import java.util.Scanner;
import java.util.concurrent.ThreadLocalRandom;

public class Main {
    public static void main(String[] args) {
        int score = 0;

        while (true) {
            Scanner sc = new Scanner(System.in);
            System.out.println("Score: " + score);
            System.out.println("Type 'rock', 'paper', or 'scissors':");
            String answer = sc.next();

            Random rand = ThreadLocalRandom.current();
            int random = rand.nextInt(0, 3);

            logic: switch (answer) {
                case "rock", "r": {
                    if (random == 0) {
                        System.out.println("Bot had rock");
                        System.out.println("Tie");
                    } else if (random == 1) {
                        System.out.println("Bot had paper");
                        System.out.println("Lose :(");
                        score--;
                    } else {
                        System.out.println("Bot had scissors");
                        System.out.println("Win :)");
                        score++;
                    }
                    break logic;
                }
                case "paper", "p": {
                    if (random == 0) {
                        System.out.println("Bot had rock");
                        System.out.println("Win :)");
                        score++;
                    } else if (random == 1) {
                        System.out.println("Bot had paper");
                        System.out.println("Tie");
                    } else {
                        System.out.println("Bot had scissors");
                        System.out.println("Lose :(");
                        score--;
                    }
                    break logic;
                }
                case "scissors", "s": {
                    if (random == 0) {
                        System.out.println("Bot had rock");
                        System.out.println("Lose :(");
                        score--;
                    } else if (random == 1) {
                        System.out.println("Bot had paper");
                        System.out.println("Win :)");
                        score++;
                    } else {
                        System.out.println("Bot had scissors");
                        System.out.println("Tie");
                    }
                    break logic;
                }
                case "quit", "q": {
                    System.out.println("Quitting...");
                    try {
                        Thread.sleep(1500);
                    } catch (InterruptedException ignored){}
                    System.exit(0);
                    break logic;
                }
                default: {
                    System.out.println("Invalid option");
                }
            }

            try {
                if (System.getProperty("os.name").contains("Windows")) {
                    Runtime.getRuntime().exec("cls");
                }
                else {
                    Runtime.getRuntime().exec("clear");
                }
            } catch (IOException ignored) {}
        }
    }
}